Bug 1019498 - SPEC uses a non-standard variable which breaks builds in older environments (ie, EL5) -> ${buildroot}
SPEC uses a non-standard variable which breaks builds in older environments (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Cython (Show other bugs)
18
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 17:13 EDT by John Conroy
Modified: 2014-02-08 00:04 EST (History)
2 users (show)

See Also:
Fixed In Version: Cython-0.19.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-12 21:56:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Conroy 2013-10-15 17:13:00 EDT
Description of problem:
SPEC uses a non-standard variable which breaks builds in older environments (ie, EL5) -> ${buildroot}

Version-Release number of selected component (if applicable):
0.19.2-1

How reproducible:
Always

Steps to Reproduce:
1. Attempt to build in an EL5 environment
2.
3.

Actual results:
SPEC apparently uses ${buildroot} where it should be %{buildroot}?  Not sure how this is functioning correctly in Fedora's Koji instance?

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf ${buildroot}%{python_sitelib}/setuptools/tests


The result while building under EL5 in our local Koji instance:
running install_scripts
creating /var/tmp/Cython-0.19.2-1.iot5-root-mockbuild/usr/bin
copying build/scripts-2.4/cython -> /var/tmp/Cython-0.19.2-1.iot5-root-mockbuild/usr/bin
changing mode of /var/tmp/Cython-0.19.2-1.iot5-root-mockbuild/usr/bin/cython to 755
+ rm -rf /usr/lib/python2.4/site-packages/setuptools/tests
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/test_resources.py': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/__init__.py': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/doctest.py': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/test_resources.pyc': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/doctest.pyo': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/test_resources.pyo': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/__init__.pyc': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/doctest.pyc': Permission denied
rm: cannot remove `/usr/lib/python2.4/site-packages/setuptools/tests/__init__.pyo': Permission denied
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.73261 (%install)
    Bad exit status from /var/tmp/rpm-tmp.73261 (%install)
Child return code was: 1

Expected results:
A successful build.

Additional info:
Update to %{buildroot}
Comment 1 Fedora Update System 2013-10-17 14:00:51 EDT
Cython-0.19.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/Cython-0.19.2-2.fc20
Comment 2 Fedora Update System 2013-10-17 14:10:45 EDT
Cython-0.19.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Cython-0.19.2-2.fc19
Comment 3 Fedora Update System 2013-10-17 14:20:04 EDT
Cython-0.19.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/Cython-0.19.2-2.fc18
Comment 4 Fedora Update System 2013-10-18 15:38:07 EDT
Package Cython-0.19.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Cython-0.19.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19265/Cython-0.19.2-2.fc19
then log in and leave karma (feedback).
Comment 5 John Conroy 2013-10-30 18:38:29 EDT
I've successfully rebuilt this updated SRPM in our Koji instance under EL5 without issue...thanks!
Comment 6 Fedora End Of Life 2013-12-21 10:52:16 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2014-01-12 21:56:17 EST
Cython-0.19.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-01-20 20:37:53 EST
Cython-0.20-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Cython-0.20-1.fc19
Comment 9 Fedora Update System 2014-02-08 00:04:38 EST
Cython-0.20-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.